import org.kwis.msp.lcdui.*;

public class GameMember {

    private Image[] image;
    private int x;
    private int y;
    private int height;
    private int width;
    private int index;
    private int color;

	//---------------- GameMember »ý¼ºÀÚ   --------------------

    public GameMember(int x, int y, Image[] image) 
    {
        this.image = image;
        index = 0;
        
		this.x=x;
		this.y=y;
        this.width = image[0].getWidth();
        this.height = image[0].getHeight();
     }//GameMember

//------------------ paint() -------------------

	public void paint(Graphics g) {
    
        if (image == null) 
        {
            g.setColor(color);
            g.fillRect(x, y, width, height);
        } 
        else 
        {
            g.drawImage(image[index],x,y,Graphics.TOP|Graphics.HCENTER);
        }
    }//paint()





} //GameMember
